Ticket #12

リリースノートへのリンクが正しく表示されない
Open Date: 2002-03-28 17:48 Last Update: 2002-04-12 13:41

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
8
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

リリースノートへのリンクが
https://sourceforge.jp/projects/ほげほげ/document///
のように///とついてリンクを辿れない。

Ticket History (3/7 Histories)

2002-03-28 19:36 Updated by: tach
  • Owner Update from (None) to yochi
2002-03-29 13:18 Updated by: sado
  • Priority Update from 5 - Medium to 7
2002-04-10 15:30 Updated by: tach
  • Priority Update from 7 to 9 - Highest
2002-04-11 13:17 Updated by: yochi
  • Owner Update from yochi to tach
  • (Category change on Tracker)
Comment
Logged In: YES
user_id=118

ソースコードの修正を行いました。
一応動作確認してありますが、実環境での確認をお願いします。

リリースメモ、変更履歴をリリース時に登録していなかった場
合、指摘されたようなリンクになるのは現状の仕様です。
2002-04-11 16:06 Updated by: tach
  • Owner Update from tach to yochi
  • Priority Update from 9 - Highest to 8
Comment
Logged In: YES
user_id=101

リンクは行われますが,デフォルトでは member access になって
しまいます.デフォルトの修正が必要です.
2002-04-12 10:06 Updated by: yochi
  • Owner Update from yochi to tach
Comment
Logged In: YES
user_id=118

ファイルリリース時に登録されるリリースメモ、変更履歴のアク
セスタイプのデフォルトを"Public"に変更しました。

すでに登録されているリリースメモ、変更履歴についてはプロジ
ェクトの文書管理者がアクセスタイプを変更する必要がありま
す。

ここで、もう一度リリースメモへのリンクに関する仕様をまとめ
ておきます。

参照しようとしているユーザがリリースメモ、変更履歴の参照権
を持っている場合のみ、正しいリンクになります。参照権がない
場合は、.../projects/<ProjectName>/document///というリンク
になります。

以上。
アクセスタイプが
2002-04-12 13:41 Updated by: tach
  • Ticket Close date is changed to 2002-04-12 13:41
  • Resolution Update from None to Fixed
  • Status Update from Open to Closed
Comment
Logged In: YES
user_id=101

sf.jp に反映させました.
sourceforge プロジェクトのニュースにこの件を載せます.

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login